Bug 203198 - HVM should not use static VNC port numbers
HVM should not use static VNC port numbers
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
Reported: 2006-08-18 16:50 EDT by Stephen Tweedie
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-21 13:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-08-18 16:50:12 EDT
Description of problem:
Running a fully-virt HVM domain with VNC results by default in a VNC port being
opened on port 5900+$DOMAINID.  This is unscalable past the first 100 domains
created on a host, beyond which point the port will clash with the primary X
server port.

This default is good for developers who constantly reboot but not suitable for

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
The domain ID is available from xenstore and there is a xen option in current
upstream, "vncunused=1", to let it choose the first free port.  This probably
wants to be enabled by default.
Comment 1 Jeremy Katz 2006-08-22 17:25:37 EDT
We need to ensure whatever we do here is consistent for paravirt guests as well
Comment 2 Jeremy Katz 2006-09-21 13:53:33 EDT
There's support for vncunused for both PV and FV guests that can be set both in
the xen config and with libvirt (and xenguest-install)

Note You need to log in before you can comment on or make changes to this bug.